package com.aleax.voip.ui;

import java.awt.Cursor;
import java.awt.Desktop;
import java.awt.GridBagConstraints;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.net.URI;
import javax.swing.ImageIcon;
import javax.swing.JLabel;

import com.aleax.voip.util.Util;
import com.aleax.voip.util.XPanel;

/**
 * Displays application information.
 * 
 * @author Yiannis Paschalidis
 */
public class AboutPanel extends XPanel
{
   /**
    * Creates an AboutPanel.
    */
   public AboutPanel()
   {
      ImageIcon image = new ImageIcon(Util.getImage("/images/voip2p_logo_128_trans.png"));
      
      int y = 0;
      add(new JLabel(image), 0, y++, GridBagConstraints.CENTER);
      add(new JLabel("Voip2p - simple peer-to-peer voice chat for your LAN."), 0, y++);
      add(new JLabel(" "), 0, y++);
      add(new JLabel("Version " + Voip2p.APP_VERSION), 0, y++, GridBagConstraints.CENTER);
      add(new JLabel(" "), 0, y++);
      add(new JLabel("Yiannis Paschalidis"), 0, y++, GridBagConstraints.CENTER);
      
      final String url = "http://aleax.com/";
      final JLabel urlLabel = new JLabel("<html><a href='" + url + "'>" + url + "</a></html>");
      urlLabel.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
      urlLabel.addMouseListener(new MouseAdapter()
      {
         @Override
         public void mouseClicked(final MouseEvent e)
         {
            if (Desktop.isDesktopSupported())
            {
               try
               {
                  Desktop.getDesktop().browse(new URI(url));
               }
               catch (Exception ignored)
               {
               }
            }
         }
      });
      
      add(urlLabel, 0, y++, GridBagConstraints.CENTER);
   }
}
