package com.aleax.voip.util;

/**
 * Typed data structure which holds two related items.
 * 
 * @author Yiannis Paschalidis
 *
 * @param <T1> the type of the first item.
 * @param <T2> the type of the second item.
 */
public class Dual<T1, T2>
{
   /** The first item. */
   private T1 first;

   /** The second item. */
   private T2 second;

   /**
    * Creates a Dual.
    * @param first the first item.
    * @param second the second item.
    */
   public Dual(final T1 first, final T2 second)
   {
      this.first = first;
      this.second = second;
   }

   /** @return the first item. */
   public T1 getFirst()
   {
      return first;
   }

   /**
    * Sets the first item.
    * @param first the item to set.
    */
   public void setFirst(final T1 first)
   {
      this.first = first;
   }

   /** @return the second item. */
   public T2 getSecond()
   {
      return second;
   }

   /**
    * Sets the second item.
    * @param second the second item to set.
    */
   public void setSecond(final T2 second)
   {
      this.second = second;
   }
}
