package com.aleax.voip.util;

import javax.swing.border.Border;
import javax.swing.border.CompoundBorder;

/**
 * Compound border with 3 layers - outer, middle, inner.
 * 
 * @author Yiannis Paschalidis
 */
public class LayeredBorder extends CompoundBorder
{
   /**
    * Creates a LayeredBorder.
    * 
    * @param outer the outside border.
    * @param middle the middle border.
    * @param inner the inner border.
    */
   public LayeredBorder(final Border outer, final Border middle, final Border inner)
   {
      super(outer, new CompoundBorder(middle, inner));
   }
}
