package com.aleax.voip;

import org.junit.Assert;
import org.junit.Test;

import com.aleax.voip.util.EncryptionUtil;

/**
 * JUnit tests for {@link EncryptionUtil}.
 * 
 * @author Yiannis Paschalidis
 */
public class EncryptionUtilTest
{
   @Test
   public void testAES() throws Exception
   {
      String encData = "1234567890123456"; // NOTE: data must be multiple of 16 bytes
      String key = "EncryptionUtilTest.testAES.key";
      
      byte[] raw = encData.getBytes();
      byte[] encryptedData = EncryptionUtil.encryptAES(raw, key);
      byte[] decryptedData = EncryptionUtil.decryptAES(encryptedData, key);

      Assert.assertArrayEquals("Incorrect decrypted array", raw, decryptedData);
   }
   
   @Test
   public void testDES() throws Exception
   {
      String testString = "EncryptionUtilTest.testDES.testString";
      String key = "EncryptionUtilTest.testDES.key";
      String enc = EncryptionUtil.encryptDES(testString, key);
      String dec = EncryptionUtil.decryptDES(enc, key);

      Assert.assertEquals("Incorrect decrypted value", testString, dec);
   }
}
